ImagickDraw::pushDefs
ImagickDraw::rectangle
The ImagickDraw class
PHP Manual

# ImagickDraw::pushPattern

(No version information available, might be only in CVS)

ImagickDraw::pushPattern — Indicates that subsequent commands up to a ImagickDraw::opPattern() command comprise the definition of a named pattern

### Description

bool ImagickDraw::pushPattern ( string `$pattern_id` , float `$x` , float `$y` , float `$width` , float `$height` )
Warning

This function is currently not documented; only its argument list is available.

Indicates that subsequent commands up to a DrawPopPattern() command comprise the definition of a named pattern. The pattern space is assigned top left corner coordinates, a width and height, and becomes its own drawing space. Anything which can be drawn may be used in a pattern definition. Named patterns may be used as stroke or brush definitions.

### Parameters

`pattern_id`

  the pattern Id

`x`

  x coordinate of the top-left corner

`y`

  y coordinate of the top-left corner

`width`

  width of the pattern

`height`

  height of the pattern

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

ImagickDraw::pushDefs
ImagickDraw::rectangle
The ImagickDraw class
PHP Manual